Subject: bug#58222: closed (Re: bug#58222: [PATCH] elisp/guix-repl: remove reference of non existent variable)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Oct 2022 20:14:02 +0000

Your bug report

#58222: [PATCH] elisp/guix-repl: remove reference of non existent variable

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58222: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58222
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58222: [PATCH] elisp/guix-repl: remove reference of non existent variable
From: Ludovic Courtès <[email-masked]>
To: Abhiseck Paira <[email-masked]>
Cc: [email-masked]
Date: Sun, 09 Oct 2022 22:13:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Abhiseck Paira <[email-masked]> skribis:

> * elisp/guix-repl.el (guix-start-repl): the variable
> `geiser-repl-company-p' is used but this variable was removed from
> geiser in the commit "18faa0b Suggestive patch for simplified
> completion".  So remove its reference.

A similar patch was applied in commit
6f5c2c3a0161a4eb99585211e2934c5f7010f249 of Emacs-Guix on Savannah,
thanks!

Ludo’.

Subject: [PATCH] elisp/guix-repl: remove reference of non existent variable
From: Abhiseck Paira <[email-masked]>
To: [email-masked]
Date: Sat, 01 Oct 2022 18:00:12 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

* elisp/guix-repl.el (guix-start-repl): the variable
`geiser-repl-company-p' is used but this variable was removed from
geiser in the commit "18faa0b Suggestive patch for simplified
completion".  So remove its reference.
---
This patch is for emacs-guix (guix.el, Emacs interface for Guix).  I was
told that Guix has taken over the development of this package.  I hope
this is the right place to send this patch, as I couldn't find a better
place.

 elisp/guix-repl.el | 1 -
 1 file changed, 1 deletion(-)

diff --git a/elisp/guix-repl.el b/elisp/guix-repl.el
index 5dd446f..bf1dc82 100644
--- a/elisp/guix-repl.el
+++ b/elisp/guix-repl.el
@@ -328,7 +328,6 @@ this address (it should be defined by
                geiser-guile--debugger-prompt-regexp))
         (geiser-repl--startup impl address)
         (geiser-repl--autodoc-mode 1)
-        (geiser-company--setup geiser-repl-company-p)
         (add-hook 'comint-output-filter-functions
                   'guix-repl-output-filter
                   nil t)
-- 
2.37.3

-- 
Abhiseck Paira
E34E 825B 979E EB9F 8505  F80E E93D 353B 7740 0709
https://paira.in